Bug 976299 - mke2fs-J should give a meaningful error when specified type is anything except 'ext{2,3,4}'
mke2fs-J should give a meaningful error when specified type is anything excep...
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs (Show other bugs)
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
Depends On: 978302
  Show dependency treegraph
Reported: 2013-06-20 06:14 EDT by bfan
Modified: 2014-06-17 22:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: libguestfs-1.22.4-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 978302 (view as bug list)
Last Closed: 2014-06-13 07:05:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description bfan 2013-06-20 06:14:25 EDT
Description of problem:
For example,
mke2fs doesn't support xfs, it should give a meaningful error message when you specified xfs, but not gives ext3 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. create a disk with xfs
[root]# guestfish -N fsfs
><fs> quit

[root]# eval `guestfish --listen`
[root]# guestfish --remote -x -- -add test1.img
[root]# guestfish --remote -x -- -alloc journalname 50M
[root]# guestfish --remote -x -- -run
[root]# guestfish --remote -- -mke2journal 1024  /dev/sdb
[root]# guestfish --remote -- -mke2fs-J xfs 1024 /dev/sda /dev/sdb
[root]# vfs_type=`guestfish --remote -- -vfs-type /dev/sda`
[root]# echo $vfs_type

Actual results:
Got ext3 type

Expected results:
Give a error message

Additional info:
Comment 1 Richard W.M. Jones 2013-06-26 06:13:27 EDT
One line reproducer:

$ guestfish -N part -N part mke2journal 1024 /dev/sda1 : mke2fs-J xfs 1024 /dev/sdb1 /dev/sda1
$ echo $?

The mke2fs-J command should give an error instead of succeeding.
Comment 4 bfan 2013-12-02 00:24:48 EST
Verified with libguestfs-1.22.6-16.el7.x86_64

# guestfish -N part -N part mke2journal 1024 /dev/sda1 : mke2fs-J xfs 1024 /dev/sdb1 /dev/sda1
libguestfs: error: mke2fs_J: xfs: not a valid extended filesystem type
Comment 5 Ludek Smid 2014-06-13 07:05:19 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.